
Figure - Bug #113484
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试8小时，出现CRASH: com.android.gallery3d
2022-11-01 15:36 - CD Test赵飞

Status: CLOSED Start date: 2022-11-01

Priority: Normal Due date: 2022-11-08

Assignee: CD Test赵飞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221130

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202210290232

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-11-04

Test Type: Monkey Test Root cause: AOSP问题

Description

执行命令：

1. adb shell

2. monkey --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes -s 20 --throttle 200

--pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 5 --pct-anyevent 5 --ignore-crashes -v -v -v 180000

2>/sdcard/error.txt 1>/sdcard/info.txt

错误日志：

10-28 11:14:26.854  6173 22858 W Monkey  : // CRASH: com.android.gallery3d (pid 7345)

10-28 11:14:26.855  6173 22858 W Monkey  : // Short Msg: java.lang.NullPointerException

10-28 11:14:26.855  2623  2623 W InputConsumerProxy: Received non-down motion before down motion: 2

10-28 11:14:26.855  6173 22858 W Monkey  : // Long Msg: java.lang.NullPointerException: Attempt to read from field

'com.android.gallery3d.glrenderer.Texture com.android.gallery3d.ui.AlbumSlidingWindow$AlbumEntry.content' on a null object reference

10-28 11:14:26.855  6173 22858 W Monkey  : // Build Label: TC/figure_CN/figure:12/SKQ1.220201.001/1230:userdebug/test-keys

10-28 11:14:26.855  6173 22858 W Monkey  : // Build Changelist: 1230

10-28 11:14:26.855  6173 22858 W Monkey  : // Build Time: 1666894340000

10-28 11:14:26.856  6173 22858 W Monkey  : // java.lang.NullPointerException: Attempt to read from field

'com.android.gallery3d.glrenderer.Texture com.android.gallery3d.ui.AlbumSlidingWindow$AlbumEntry.content' on a null object reference

10-28 11:14:26.856  6173 22858 W Monkey  : //     at com.android.gallery3d.ui.AlbumSlotRenderer.renderSlot(AlbumSlotRenderer.java:111)

10-28 11:14:26.856  6173 22858 W Monkey  : //     at com.android.gallery3d.ui.SlotView.renderItem(SlotView.java:325)

10-28 11:14:26.856  6173 22858 W Monkey  : //     at com.android.gallery3d.ui.SlotView.render(SlotView.java:281)

10-28 11:14:26.856  6173 22858 W Monkey  : //     at com.android.gallery3d.ui.GLView.renderChild(GLView.java:286)

10-28 11:14:26.856  6173 22858 W Monkey  : //     at com.android.gallery3d.ui.GLView.render(GLView.java:236)

10-28 11:14:26.856  6173 22858 W Monkey  : //     at com.android.gallery3d.app.AlbumPage$2.render(AlbumPage.java:176)

10-28 11:14:26.856  6173 22858 W Monkey  : //     at com.android.gallery3d.ui.GLRootView.onDrawFrameLocked(GLRootView.java:411)

10-28 11:14:26.856  6173 22858 W Monkey  : //     at com.android.gallery3d.ui.GLRootView.onDrawFrame(GLRootView.java:355)

10-28 11:14:26.856  6173 22858 W Monkey  : //     at android.opengl.GLSurfaceView$GLThread.guardedRun(GLSurfaceView.java:1577)

10-28 11:14:26.856  6173 22858 W Monkey  : //     at android.opengl.GLSurfaceView$GLThread.run(GLSurfaceView.java:1272)

10-28 11:14:26.856  6173 22858 W Monkey  : // 

History

#1 - 2022-11-01 16:08 - CD Test赵飞
日志见Bug #113456 附件

#2 - 2022-11-01 17:17 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

- Assignee changed from CD FW 曹覃刚 to CD APP-王营

app的问题，请帮忙分析

#3 - 2022-11-02 11:20 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to AF组-RD3_CDTS 罗肖

#4 - 2022-11-02 18:17 - AF组-RD3_CDTS 罗肖

- Resolution changed from -- to FIXED

■ Current conclusion

已经修改

■ My analysis

AlbumSlotRenderer.java:111报空指针异常

■ Next action / ■Submit URL

增加判空处理  https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Gallery2/+/159678

#5 - 2022-11-03 13:58 - AF组-RD3_CDTS 罗肖

- Assignee changed from AF组-RD3_CDTS 罗肖 to CD Test赵飞

- Degrated changed from -- to No

- Fixed Version set to 2022-11-04

- Root cause set to AOSP问题

请在11月4号的DB版本中验证这个问题

#6 - 2022-11-03 13:59 - AF组-RD3_CDTS 罗肖

- Status changed from ASSIGNED to RESOLVED

#7 - 2022-11-07 10:18 - CD Test赵飞

- % Done changed from 0 to 70

11月4号的DB版本未复现此问题

Monkey问题，再跟踪2个版本

#8 - 2022-11-08 10:44 - CD Test赵飞

11月5号的DB版本未复现此问题

Monkey问题，再跟踪1个版本
#9 - 2022-11-09 10:19 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- % Done changed from 70 to 80

11月8号的Release版本未复现此问题

已跟踪3个版本未复现，关闭此问题

#10 - 2022-11-09 10:20 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

- % Done changed from 80 to 100

#11 - 2022-12-22 20:48 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

159678 general/platform/packages/apps/Galler

y2

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com
